Memos

Update Space

UpdateSpace updates space metadata. Only a space administrator can update a space.

PATCH
/api/spaces/{space}

Path Parameters

space*string

The space id.

Query Parameters

updateMask?string

Required. The fields to update. Supported paths: title, description, icon.

Formatfield-mask

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Space is a collaboration boundary for placed memos.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/spaces/string" \  -H "Content-Type: application/json" \  -d '{    "title": "string"  }'
{  "name": "string",  "title": "string",  "description": "string",  "icon": {    "emoji": "string",    "lucide": "string"  },  "currentUserRole": "ROLE_UNSPECIFIED",  "memberCount": 0}